Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Class CoffeeBeanValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.item.ItemValue
                  |
                  +--examples.buybeans.item.BasicBeanValue
                        |
                        +--examples.buybeans.item.CoffeeBeanValue

public class CoffeeBeanValue
extends BasicBeanValue

This is an item that has the special characteristics of a coffee bean.

See Also:
  `CoffeeBean`, `CoffeeBeanHome`, `CoffeeBean.getCoffeeBeanByValue()`, `CoffeeBean.setCoffeeBeanByValue(CoffeeBeanValue)`, Serialized Form

Field Summary
`java.lang.String` | `country` country [CoffeeBean] <*>------> [`String`]
`boolean` | `gourmet` gourmet [CoffeeBean] <*>------> [`boolean`]

Fields inherited from class examples.buybeans.item.BasicBeanValue
`customerRating, fullDescription`

Fields inherited from class theory.smart.ebusiness.item.ItemValue
`description, identifier, price, qualities, supplier, version`

Constructor Summary
`protected` | `CoffeeBeanValue()` Only get/setCoffeeBeanByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gourmet

    public boolean gourmet

                        gourmet
       [CoffeeBean] <*>------> [boolean]

### country

    public java.lang.String country

                        country
       [CoffeeBean] <*>------> [String]

Constructor Detail

### CoffeeBeanValue

    protected CoffeeBeanValue()

  Only get/setCoffeeBeanByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.